:root {
    --background: #e8e8e8;
    --text: #1f263f;
    --dark-blue: #0b132f;
    --dark-blue-opacity: #0b132f6c;
    --light-blue: #004688;
    --details: #bc0022;
    --yellow: #fddd5c;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body {
    background-color: var(--background);
}

.add-button {
    position: fixed;
    bottom: 30px;
    right: 30px;
    cursor: pointer;
}
.add-button i {
    font-size: 100%;
    color: var(--dark-blue);
}

.btn-primary {
    background-color: var(--dark-blue);
    border: none;
}

.my-icon {
    font-size: 20px;
    cursor: pointer;
    transition: cubic-bezier(0.55, 0.055, 0.675, 0.6);
}
.my-icon:hover {
    transition: cubic-bezier(0.55, 0.055, 0.675, 0.6);
}
.my-icon.delete:hover {
    color: var(--details);
}
.my-icon.disabled {
    cursor: unset;
    color: grey !important;
}
.my-icon.disabled:hover {
    color: grey !important;
}
.my-icon.edit:hover {
    color: var(--yellow);
}
.my-icon.add:hover {
    color: rgb(209, 244, 255);
}

.modal-content {
    border-radius: 0;
}
.modal-header {
    border-bottom-color: var(--dark-blue-opacity);
}
.modal-footer {
    border-top-color: var(--dark-blue-opacity);
}

.title-wrapper {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 1rem 16px 1rem 24px;
    background-color: var(--dark-blue);
}
.header-icons-wrapper {
    display: flex;
    gap: 5px;
    justify-content: flex-end;
    align-items: center;
}
.header-icons-wrapper .my-icon {
    color: var(--background);
    font-size: 30px;
}
.title {
    color: var(--background);
    margin-bottom: 0px;
}

/* Loader */
.lds-ring {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 64px;
    height: 64px;
    margin: 8px;
    border: 8px solid #fff;
    border-radius: 50%;
    -webkit-animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
            animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #fff transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
    -webkit-animation-delay: -0.45s;
            animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
    -webkit-animation-delay: -0.3s;
            animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
    -webkit-animation-delay: -0.15s;
            animation-delay: -0.15s;
}
@-webkit-keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.custom-button {
    background-color: var(--dark-blue);
    min-width: 150px;
    min-height: 50px;
    font-size: 18px;
    border: none;
}

